﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using InvokeSolutions.Docx;
using InvokeSolutions.Docx.Data;
using System.Diagnostics;

namespace SampleBooleanDataItem
{
    class Program
    {
        static void Main(string[] args)
        {
            // create a copy of template file
            File.Copy("template.docx", "report.docx", true);

            // create datasource
            DocumentDataSource source = new DocumentDataSource();

            source.EmptyValue = "(have no idea)";

            source["ANSWER1"] = true;
            source["ANSWER2"] = false;
            source["ANSWER3"] = (bool?)null;

            // process the document
            DocumentRenderer.ProcessDocument("report.docx", source);

            Process.Start("report.docx");
        }
    }
}
