﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using InvokeSolutions.Docx;
using System.IO;
using System.Diagnostics;
using InvokeSolutions.Docx.Data;

namespace SampleEmpty
{
    class Program
    {
        static void Main(string[] args)
        {
            // create a copy of template file
            File.Copy("empty.docx", "report.docx", true);

            // create datasource
            DocumentDataSource source = new DocumentDataSource();

            source.EmptyValue = "(have no idea)";

            source["NAME"] = "Joe Bloggs";
            source["TBL"] = DataItem.ConvertFrom(new[] { new { DATA1 = "ABC#1" }, new { DATA1 = "DEF#2" } });

            // process the document
            DocumentRenderer.ProcessDocument("report.docx", source);

            Process.Start("report.docx");
        }
    }
}
