﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using InvokeSolutions.Docx;
using InvokeSolutions.Docx.Data;
using System.Diagnostics;

namespace SampleTableInComplexObject
{
    class Program
    {
        static void Main(string[] args)
        {
            // create a copy of template file
            File.Copy("template.docx", "hello_ready.docx", true);

            // create datasource
            DocumentDataSource source = new DocumentDataSource();

            source.NewLineStyle = NewLineStyle.Paragraph;

            source["OBJ"] = DataItem.ConvertFrom(new
            {
                ARRAY = new[]
                    {
                        new { A = new { B = 1}},
                        new { A = new { B = 2}},
                        new { A = new { B = 3}},
                    }
            });

            // process the document
            DocumentRenderer.ProcessDocument("hello_ready.docx", source);

            Process.Start("hello_ready.docx");
        }
    }
}
