﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.IO;
using InvokeSolutions.Docx.Data;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    
    protected void Button1_Click(object sender, EventArgs e)
    {
        InvokeSolutions.Docx.DocumentDataSource source = new InvokeSolutions.Docx.DocumentDataSource();

        // assign date
        source["NAME"] = "Joe Bloggs";
        source["DATETIME"] = DateTime.Now.ToString();

        using (FileStream fs = new FileStream(Server.MapPath("~/Templates/Report.docx"), FileMode.Open))
        {
            MemoryStream memStream = new MemoryStream();

            Response.Clear();
            Response.ContentType = "application/x-msword";

            CopyStream(fs, memStream);

            InvokeSolutions.Docx.DocumentRenderer.ProcessDocument(memStream, source);

            CopyStream(memStream, Response.OutputStream);

            Response.AddHeader("Content-Disposition", "attachment; filename = test.docx");

            Response.Flush();
            Response.End();
        }
    }

    private static void CopyStream(Stream fs, Stream memStream)
    {
        int N_BYTES = 1024 * 64;
        int read = -1;
        byte[] array = new byte[N_BYTES];

        while (read != 0)
        {
            read = fs.Read(array, 0, N_BYTES);
            memStream.Write(array, 0, read);
        }
    }
}
