﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using System.IO;
using InvokeSolutions.Docx;
using System.Diagnostics;
using InvokeSolutions.Docx.Data;

namespace Sample_NewLineParagraph
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            // create a copy of template file
            File.Copy("newline.docx", "newline_ready.docx", true);

            // create datasource
            DocumentDataSource source = new DocumentDataSource();

            source["LINES"] = DataItem.ConvertFrom(new[] { 
               new { Text =  @"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam fringilla orci eu neque consectetur congue. Etiam sit amet iaculis ligula. Sed at mauris eu risus gravida aliquam. Ut in eros vel purus hendrerit pellentesque a porttitor eros. Integer volutpat, risus ut vulputate adipiscing, purus orci tristique nisi, vel convallis metus velit vitae ipsum. Aenean sed aliquam diam. Sed malesuada elementum aliquam. Aenean a dui ut mi convallis tincidunt. Fusce at magna id felis euismod elementum. Ut commodo pretium augue, eu vehicula justo euismod sed. Ut eu cursus felis. Nunc eleifend, ligula quis egestas volutpat, orci orci rhoncus risus, eu scelerisque leo risus non orci. Nam augue nulla, elementum non dictum vel, scelerisque nec nisi. Etiam nunc felis, consequat quis pellentesque eu, ullamcorper a nisl. Nullam a purus ante, ac porttitor dolor. Suspendisse sit amet quam vitae massa vulputate ultrices et quis turpis."},
                new { Text =  @"nteger congue dapibus auctor. Fusce vitae elementum purus. Suspendisse potenti. Proin orci eros, posuere vel congue ac, faucibus vitae quam. Nulla facilisi. Sed vestibulum iaculis massa, ac consectetur felis congue sed. Proin a turpis lorem. Quisque bibendum tincidunt varius. Cras malesuada porta nisi, vitae molestie magna aliquet a. Aliquam at ante libero, id faucibus turpis. Donec cursus magna enim, quis mattis purus. Etiam at tortor est. Sed quis ligula ipsum, a facilisis arcu. Aenean iaculis ante et ipsum pharetra luctus. Etiam nec enim justo. Fusce tincidunt auctor lacus vitae accumsan. Mauris vulputate ullamcorper massa, vel consequat nisl pretium vel. Vivamus consequat justo in diam egestas pellentesque. Fusce dapibus consectetur quam, vitae imperdiet sapien tincidunt sed."},
                new { Text =  @"Aliquam lorem lacus, egestas et euismod ut, pellentesque ut justo. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec dapibus felis at nisl cursus consequat. Sed est tortor, fermentum sed tempor in, bibendum lobortis turpis. Donec id sem id urna semper iaculis. Quisque lobortis dui ac purus vestibulum scelerisque consequat sem commodo. Morbi ut diam tellus, nec condimentum tellus. Morbi consequat, diam sit amet vestibulum feugiat, massa nisl volutpat nisl, at ullamcorper nisl turpis gravida risus. Vivamus mollis, risus eu vulputate porta, tortor urna volutpat tellus, id mattis ligula ante eget massa. Aenean mi magna, facilisis eu pretium nec, cursus fermentum nunc. In hac habitasse platea dictumst. Pellentesque dictum urna et ante tincidunt interdum. Etiam eget mauris et nibh semper ultricies dictum laoreet metus. Nulla ut sem nec quam dapibus semper. Nam lacinia nulla ac est porta non scelerisque augue congue. Donec vel ipsum ut risus congue vestibulum. Donec id nisl nibh, et porta diam. Ut congue feugiat neque non condimentum. Suspendisse quis felis purus. Quisque ultricies suscipit fringilla."}
            }
            );

            // process the document
            DocumentRenderer.ProcessDocument("newline_ready.docx", source);

            Process.Start("newline_ready.docx");
        }
    }
}
