﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using InvokeSolutions.Docx;
using InvokeSolutions.Docx.Data;
using System.Diagnostics;
using System.Drawing;

namespace docx.images
{
    class Program
    {
        static void Main(string[] args)
        {
            var sourceFile = "template_image.docx";

            var destinationFile = "merged.docx";

            File.Copy(sourceFile, destinationFile, true);

            DocumentDataSource dds = new DocumentDataSource();

            dds["RID5"] = new ImageDataItem("bender.png") { cX = 5, cY = 5, Unit = Unit.Inch };

            DocumentRenderer.ProcessDocument(destinationFile, dds);

            Process.Start(destinationFile);
        }
    }
}
